Subject: Re: bug#76955: 30.1; php-ts-mode-php-executable default path may not match remote path

From: Eli Zaretskii <[email-masked]>
Date: Sat, 15 Mar 2025 14:26:21 +0200

> From: Morgan Willcock <[email-masked]>
> Cc: Vincenzo Pupillo <[email-masked]>,  [email-masked]
> Date: Sat, 15 Mar 2025 11:03:40 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > So I conclude that expecting "php" to be on PATH on remote systems is
> > a requirement, since nothing else will work reliably enough, and let's
> > close this discussion at that.
> 
> I am not sure what you mean by "reliably", but being on PATH is not a
> requirement to use it.  It will very likely be on PATH, but with some
> additional configuration of the TRAMP connection it doesn't need to be.

I mean that we should use executable-find for remote directories,
thus assuming that the program is on PATH on remote systems, and let
users customize the local value via the user option.  IOW, the user
option should not have effect on remote invocations.